Subject: Re: ioremap and vmalloc

From: Grant Likely <[email-masked]>
Date: Fri, 19 Sep 2008 07:49:34 -0600

On Fri, Sep 19, 2008 at 01:15:20PM +0200, =?ISO-8859-1?Q?S=E9bastien_Chr=E9tien_ wrote:
> Hello,
> 
> When I use ioremap, the second time, I obtain this message :
> 
> allocation failed: out of vmalloc space - use vmalloc=<size> to increase
> size.
> What can I do in order to fix this problem ?

How large are the regions that you are ioremapping?  The kernel sets
aside a fixed amount of the virtual address space for ioremaps, and if
you exhaust that then more ioremaps will stop working.

g.